# 参数说明

### userInfo

用户信息

| 参数        | 必选 | 类型     | 说明                |
| --------- | -- | ------ | ----------------- |
| userId    | N  | string | max=128 用户id      |
| **ip**    | Y  | string | max=128 IPv4或IPv6 |
| **email** | Y  | string | max=128用户邮箱       |
| phoneNo   | N  | string | max=32 用户手机号      |

### payerInfo

| 参数                                | 必选 | 类型          | 说明                                                                                                                                                                                                                                                   |
| --------------------------------- | -- | ----------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| paymentMethod                     | Y  | string      | 目前固定为 credit\_card                                                                                                                                                                                                                                   |
| authorizationMethod               | Y  | string      | <ul><li> cvv （普通交易）</li><li>threeds2.0 (3D)</li></ul><p>AuthorizationMethod（用户授权方式：cvv/threeds1.0/threeds2.0）： 这个字段生产环境传cvv，当客户的卡 需要3ds时我们会动态转成3d。 只是对接测试的时候 可以根据自己需要的场景切换 cvv/threeds2.0。 threeds1.0现在我们不支持传，3d一般都走2.0流程,即使客户的卡只支持1.0，我们也会自动降级的</p> |
| [billingAddress](#billingaddress) | Y  | Json String | 账单地址                                                                                                                                                                                                                                                 |
| firstName                         | N  | String(56)  | 持卡人名（如果为空，则UseePay会用账单/收货地址姓名填充）                                                                                                                                                                                                                     |
| lastName                          | N  | String(56)  | 持卡人名（如果为空，则UseePay会用账单/收货地址姓名填充）                                                                                                                                                                                                                     |

### billingAddress

账单地址信息

| 参数         | 必选 | 类型     | 说明                                                                            |
| ---------- | -- | ------ | ----------------------------------------------------------------------------- |
| email      | Y  | string | 收货邮箱                                                                          |
| firstName  | Y  | string | 收货人名                                                                          |
| lastName   | Y  | string | 收货人姓                                                                          |
| phoneNo    | N  | string | 收货手机号                                                                         |
| street     | Y  | string | 收货街道地址                                                                        |
| houseNo    | N  | string | 收货街道地址和门牌号当street存在时可以不填                                                      |
| postalCode | Y  | string | 邮编，如果该国家或地区由邮编必须传，否则可以不传                                                      |
| city       | Y  | string | 城市                                                                            |
| state      | Y  | string | 省/州/地区, 需满足 [ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2)            |
| country    | Y  | string | 国家，ISO 两位大写英文国家代码, 需满足 [ISO 3166-1](https://en.wikipedia.org/wiki/ISO_3166-1) |

### orderInfo <a href="#orderinfo" id="orderinfo"></a>

订单信息

| 参数              | 必选 | 类型     | 说明                                                                               |
| --------------- | -- | ------ | -------------------------------------------------------------------------------- |
| subject         | Y  | string | 订单标题                                                                             |
| goodsInfo       | Y  | array  | 商品信息, 请参考 [goodsInfo](broken://pages/-MVKobi5BxjIFLiFPvkG#goodsinfo)             |
| shippingAddress | Y  | object | 收货地址, 请参考 [shippingAddress](broken://pages/-MVKobi5BxjIFLiFPvkG#shippingaddress) |

### goodsInfo <a href="#goodsinfo" id="goodsinfo"></a>

商品信息

| 参数       | 必选 |        | 说明                                              |
| -------- | -- | ------ | ----------------------------------------------- |
| id       | Y  | string | sku id                                          |
| name     | Y  | string | 商品名                                             |
| body     | Y  | string | 商品描述                                            |
| quantity | Y  | number | 商品数量                                            |
| price    | Y  | string | <p>商品价格,必须大于0，单位为对应货币的最小</p><p>货币单位参考货币单位一节</p> |
| url      | N  | string | 商品链接                                            |
| image    | N  | string | 商品图片                                            |

## shippingAddress

收货地址

| 参数         | 必选 | 类型     | 说明                                                                            |
| ---------- | -- | ------ | ----------------------------------------------------------------------------- |
| email      | Y  | string | 收货邮箱                                                                          |
| phoneNo    | N  | string | 收货手机号                                                                         |
| firstName  | Y  | string | 收货人名                                                                          |
| lastName   | Y  | string | 收货人姓                                                                          |
| street     | Y  | string | 收货街道地址                                                                        |
| houseNo    | N  | string | 收货街道地址和门牌号**当street存在时可以不填**                                                  |
| postalCode | Y  | string | 邮编，如果该国家或地区由邮编必须传，否则可以不传                                                      |
| city       | N  | string | 城市                                                                            |
| state      | Y  | string | 省/州/地区, 需满足 [ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2)            |
| country    | Y  | string | 国家，ISO 两位大写英文国家代码, 需满足 [ISO 3166-1](https://en.wikipedia.org/wiki/ISO_3166-1) |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://useepay.gitbook.io/developer/reference/api-reference-xin-yong-ka/parameter-description.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
